Tool Reference

get_repository_items

Get content items from the brand repository.

Parameters

Parameter Type Required Description
brandId string Yes The brand ID (UUID) or brand name (e.g., "Ace Auto Repair")
category string No Optional category filter (e.g., "blog", "product", "faq")
limit number No Maximum number of items to return (default: 50)

Example Request

curl -X POST https://socialcrm.com/api/mcp-app \
  -H "Authorization: Bearer sk_live_YOUR_KEY_HERE" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": "1",
    "method": "tools/call",
    "params": {
      "name": "get_repository_items",
      "arguments": {
        "brandId": "brand_abc123",
        "category": "faq",
        "limit": 10
      }
    }
  }'

Example Response

Parsed from result.content[0].text:

[
  {
    "id": "item_001",
    "title": "What are your hours?",
    "content": "We are open Monday through Saturday, 7am to 9pm. Closed Sundays.",
    "category": "faq",
    "url": "https://aceautorepair.com/faq#hours",
    "metadata": {},
    "createdAt": "2025-11-15T10:30:00.000Z",
    "updatedAt": "2026-01-20T14:00:00.000Z"
  },
  {
    "id": "item_002",
    "title": "Do you service electric vehicles?",
    "content": "Yes! We added dedicated EV service bays in 2025.",
    "category": "faq",
    "url": "https://aceautorepair.com/faq#ev",
    "metadata": {},
    "createdAt": "2025-12-01T09:00:00.000Z",
    "updatedAt": "2026-01-20T14:00:00.000Z"
  }
]

Output Schema

Returns an array of repository item objects:

Field Type Description
id string Item UUID
title string Item title
content string Item content body
category string Category (e.g., "blog", "product", "faq", "general")
url string Source URL
metadata object Additional metadata
createdAt string ISO 8601 creation timestamp
updatedAt string ISO 8601 last update timestamp

Notes

  • Items are returned in reverse chronological order (newest first).
  • If the brand has no repository items, an empty array is returned.